onEvent('recipes', event => {

    //Energised Gold Alloy Ingot
    event.recipes.custommachinery.custom_machine("modpack:industrial_blast_furnace", 100)
        .produceItem(Item.of("kubejs:energised_gold_alloy_ingot", 4))
        .requireItem(Item.of("minecraft:gold_ingot", 4))
        .requireItem(Item.of("minecraft:redstone", 4))
        .requireEnergyPerTick(5)

    //Netherite Ingot
    event.recipes.custommachinery.custom_machine("modpack:industrial_blast_furnace", 100)
        .produceItem(Item.of("minecraft:netherite_ingot", 2))
        .requireItem(Item.of("kubejs:energised_gold_alloy_ingot", 4))
        .requireItem(Item.of("minecraft:netherite_scrap", 4))
        .requireItem(Item.of("minecraft:diamond", 1))
        .requireEnergyPerTick(5)

    //Netherite-Starmetal Alloy Ingot
    event.recipes.custommachinery.custom_machine("modpack:industrial_blast_furnace", 100)
        .produceItem(Item.of("kubejs:netherite_starmetal_alloy_ingot", 3))
        .requireItem(Item.of("minecraft:netherite_ingot", 2))
        .requireItem(Item.of("astralsorcery:starmetal_ingot", 2))
        .requireEnergyPerTick(5)

})